# Module eunit

- Description
- Function Index
- Function Details

This module is the main EUnit user interface.

Copyright © 2004-2009 Mickaël Rémond, Richard Carlsson

Version: 2.1.1, Apr 22 2009 22:37:19

Authors: Mickaël Rémond (`mickael.remond@process-one.net`) [web site: `http://www.process-one.net/`], Richard Carlsson (`richardc@it.uu.se`) [web site: `http://user.it.uu.se/~richardc/`].

## Description

This module is the main EUnit user interface.

## Function Index

start/0 | Starts the EUnit server.
stop/0 | Stops the EUnit server.
test/1 | Equivalent to `test(Tests, [])`.
test/2 | Runs a set of tests.

## Function Details

### start/0

`start() -> any()`

Starts the EUnit server. Normally, you don't need to call this function; it is started automatically.

### stop/0

`stop() -> any()`

Stops the EUnit server. Normally, you don't need to call this function.

### test/1

`test(Tests) -> any()`

Equivalent to `test(Tests, [])`.

### test/2

`test(Tests::term(), Options::[term()]) -> ok | {error, term()}`

Runs a set of tests. The format of `Tests` is described in the section EUnit test representation of the overview.

Example:

      eunit:test(fred)

runs all tests in the module `fred` and also any tests in the module `fred_tests`, if that module exists.

Options:

`verbose`
  Displays more details about the running tests.

Options in the environment variable EUNIT are also included last in the option list, i.e., have lower precedence than those in `Options`.

See also: test/1.

Generated by EDoc, Apr 22 2009, 22:37:19.